%global __provides_exclude font\\\(.*\\\)|font\\\(:lang=.*\\\)

Name:		denemo
Version:	2.6.0
Release:	%mkrel 1
Summary:	WYSIWYG musical score editor and frontend for Lilypond
License:	GPLv2+
Group:		Publishing
URL:		http://www.denemo.org/
Source0:	https://ftp.gnu.org/gnu/denemo/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(aubio)
BuildRequires:	pkgconfig(evince-view-3.0)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtksourceview-4)
BuildRequires:	pkgconfig(guile-2.0)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(rubberband)
BuildRequires:	intltool
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	portmidi-devel
BuildRequires:	desktop-file-utils

Requires:	lilypond
Requires:	TiMidity++
Requires:	playmidi
Requires:	fluidsynth
# see in mga#23671#c6
Recommends:	inkscape
Recommends:	evince
Recommends:	eog

%description
Denemo is the GNU graphical musical score editor, and serves as a frontend
to Lilypond. Besides lilypond, it can also export music into ABC format.
as well as handling Csound score files playback and MIDI playback.

%prep
%setup -q

# port to gtksourceview4
perl -pi -e 's/gtksourceview-3.0/gtksourceview-4/g' configure.ac

%build
autoreconf -fi
%configure \
	--disable-static \
	--enable-gtk3 \
	--enable-doc \
	--enable-guile_2_0
%make_build

%install
%make_install

desktop-file-install --vendor="" \
	--dir %{buildroot}%{_datadir}/applications \
	--add-category="GTK" \
	%{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS docs/*
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/fonts/truetype/%{name}/
%{_datadir}/appdata/org.%{name}.Denemo.appdata.xml
%{_datadir}/applications/org.%{name}.Denemo.desktop
%{_datadir}/pixmaps/org.%{name}.Denemo.png


%changelog
* Sun Nov 20 2022 daviddavid <daviddavid> 2.6.0-1.mga9
+ Revision: 1909611
- new version: 2.6.0

* Fri Apr 01 2022 umeabot <umeabot> 2.5.0-4.mga9
+ Revision: 1839537
- Mageia 9 Mass Rebuild

* Sun Sep 05 2021 wally <wally> 2.5.0-3.mga9
+ Revision: 1744318
- switch to gtksourceview4

* Thu Aug 05 2021 luigiwalser <luigiwalser> 2.5.0-2.mga9
+ Revision: 1739412
- rebuild for fluidsynth

* Thu Mar 11 2021 daviddavid <daviddavid> 2.5.0-1.mga9
+ Revision: 1701389
- new version: 2.5.0

* Sat Nov 07 2020 wally <wally> 2.4.0-2.mga8
+ Revision: 1643464
- rebuild after guile2.0 fork

* Mon May 18 2020 daviddavid <daviddavid> 2.4.0-1.mga8
+ Revision: 1586020
- new version: 2.4.0

* Sun Feb 16 2020 umeabot <umeabot> 2.3.0-2.mga8
+ Revision: 1530501
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Aug 30 2019 daviddavid <daviddavid> 2.3.0-1.mga8
+ Revision: 1435298
- new version: 2.3.0

* Mon Jan 14 2019 luigiwalser <luigiwalser> 2.2.0-5.mga7
+ Revision: 1356812
- rebuild for fluidsynth

* Thu Nov 01 2018 daviddavid <daviddavid> 2.2.0-4.mga7
+ Revision: 1327100
- rebuild for fixed portmidi

* Mon Oct 15 2018 daviddavid <daviddavid> 2.2.0-3.mga7
+ Revision: 1320495
- recommend inkscape, evince and eog (mga#23671#c6)

* Sun Sep 23 2018 umeabot <umeabot> 2.2.0-2.mga7
+ Revision: 1297423
- Mageia 7 Mass Rebuild

* Mon Jul 31 2017 daviddavid <daviddavid> 2.2.0-1.mga7
+ Revision: 1133184
- new version: 2.2.0

* Sun Jul 23 2017 daviddavid <daviddavid> 2.1-1.mga7
+ Revision: 1129371
- new version: 2.1

* Wed Nov 30 2016 daviddavid <daviddavid> 2.0.14-1.mga6
+ Revision: 1071304
- new version: 2.0.14

* Sun Nov 13 2016 daviddavid <daviddavid> 2.0.12-1.mga6
+ Revision: 1067008
- new version: 2.0.12
- port to guile 2.0

* Thu Aug 18 2016 daviddavid <daviddavid> 2.0.10-1.mga6
+ Revision: 1046919
- new version: 2.0.10

* Wed May 11 2016 daviddavid <daviddavid> 2.0.8-1.mga6
+ Revision: 1012703
- new version: 2.0.8

* Sun Apr 17 2016 daviddavid <daviddavid> 2.0.6-1.mga6
+ Revision: 1003186
- new version: 2.0.6

* Thu Mar 10 2016 daviddavid <daviddavid> 2.0.4-1.mga6
+ Revision: 988696
- new version: 2.0.4

* Sun Feb 21 2016 daviddavid <daviddavid> 2.0.2-2.mga6
+ Revision: 975409
- rebuild against fixed rubberband on arm

* Sat Feb 13 2016 daviddavid <daviddavid> 2.0.2-1.mga6
+ Revision: 959641
- new version: 2.0.2

* Thu Nov 05 2015 daviddavid <daviddavid> 2.0.0-1.mga6
+ Revision: 897898
- new version: 2.0.0

* Tue Jul 28 2015 daviddavid <daviddavid> 1.2.4-1.mga6
+ Revision: 858365
- new version: 1.2.4

* Fri Jun 26 2015 sander85 <sander85> 1.1.8-4.mga6
+ Revision: 844240
- Rebuild for new aubio

* Wed Oct 15 2014 umeabot <umeabot> 1.1.8-3.mga5
+ Revision: 747890
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.8-2.mga5
+ Revision: 678711
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Tue Sep 09 2014 akien <akien> 1.1.8-1.mga5
+ Revision: 674381
- Version 1.1.8

* Tue Feb 04 2014 dams <dams> 1.1.0-1.mga5
+ Revision: 581508
- new version 1.1.0

* Mon Oct 21 2013 umeabot <umeabot> 1.0.8-2.mga4
+ Revision: 539742
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 dams <dams> 1.0.8-1.mga4
+ Revision: 492849
- new version 1.0.8

* Wed Aug 28 2013 dams <dams> 1.0.6-1.mga4
+ Revision: 472750
- new version 1.0.6

* Wed Aug 28 2013 fwang <fwang> 1.0.4-2.mga4
+ Revision: 472577
- build with guile 1.8, due to lilypond is using it

* Wed Aug 28 2013 fwang <fwang> 1.0.4-1.mga4
+ Revision: 472564
- update file list
- more patch
- fix str fmt
- add br
- build with guile 2.0
+ dams <dams>
- new version 1.0.4

* Tue May 28 2013 fwang <fwang> 0.9.6-5.mga4
+ Revision: 429070
- rebuild for new gtksourceview

* Mon Mar 11 2013 lmenut <lmenut> 0.9.6-4.mga3
+ Revision: 402108
- add exception in order to not provide font(*) & font(:lang=*)
  b/c arch packages shouldn't provide fonts (mga #8820c4)

* Fri Jan 11 2013 umeabot <umeabot> 0.9.6-3.mga3
+ Revision: 348722
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 malo <malo> 0.9.6-2.mga3
+ Revision: 322761
- update RPM group

* Sat Sep 22 2012 sander85 <sander85> 0.9.6-1.mga3
+ Revision: 296582
- New version: 0.9.6

* Wed Sep 19 2012 sander85 <sander85> 0.9.4-1.mga3
+ Revision: 296204
- New version: 0.9.4

* Thu Dec 29 2011 fwang <fwang> 0.9.2-1.mga2
+ Revision: 188567
- fix build with latest glib
- new version 0.9.2

* Fri Jun 17 2011 kharec <kharec> 0.9.0-1.mga2
+ Revision: 109274
- new version 0.9.0
- Add a BR on librsvg2-devel

* Sat Jan 08 2011 kharec <kharec> 0.8.20-1.mga2
+ Revision: 1178
- imported package denemo
- Created package structure for denemo.


* Thu Oct 21 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.8.20-1mdv2011.0
+ Revision: 587147
- new version 0.8.20
- fix file list

* Mon Jul 12 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.8.18-1mdv2011.0
+ Revision: 551226
- update to 0.8.18

* Sun May 02 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.8.16-2mdv2010.1
+ Revision: 541666
- hopefully fix #59041

* Mon Apr 12 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.8.16-1mdv2010.1
+ Revision: 533696
- new version 0.8.16
- drop p0, not needed anymore (fix-str-fmt)

* Mon Mar 29 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.8.14-2mdv2010.1
+ Revision: 528876
- remove %%post and %%postun
- don't define version and rel in top of spec.
- remove useless space in spec

* Sun Mar 07 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.8.14-1mdv2010.1
+ Revision: 515563
- New version 0.8.14
- drop old patches
- add a patch for fix string format, sent upstream.

* Tue Feb 09 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.8.12-1mdv2010.1
+ Revision: 503384
- fix build
- rebuild
- fix build
- fix mkrel
- Fix url tag
- Update to 0.8.12
- Remove "beta1"
- Fix build

* Mon Nov 30 2009 Jérôme Brenier <incubusss@mandriva.org> 0.8.10-1mdv2010.1
+ Revision: 471958
- BuildRequires : libgtksourceview-2.0-devel
- new version 0.8.10

* Wed Sep 09 2009 Emmanuel Andry <eandry@mandriva.org> 0.8.8-1mdv2010.0
+ Revision: 435822
- New version 0.8.8
- diff P0 to fix string format not literal

* Mon May 25 2009 Funda Wang <fwang@mandriva.org> 0.8.2-2mdv2010.0
+ Revision: 379355
- fix requires

* Sat Mar 07 2009 Emmanuel Andry <eandry@mandriva.org> 0.8.2-1mdv2009.1
+ Revision: 350673
- New version 0.8.2
- drop P0
- BR guile-devel

* Thu Aug 21 2008 Emmanuel Andry <eandry@mandriva.org> 0.7.9-1mdv2009.0
+ Revision: 274560
- drop X-MandrivaLinux category
- BR portaudio-devel
- New version
- fix license
- drop patch 1
- update file list
- BR aubio-devel

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.7.6-1mdv2009.0
+ Revision: 218424
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu Dec 28 2006 Lenny Cartier <lenny@mandriva.com> 0.7.6-1mdv2007.0
+ Revision: 102230
- Update to 0.7.6

* Thu Oct 26 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.5-4mdv2007.1
+ Revision: 72821
- Rebuild
- import denemo-0.7.5-3mdv2007.1

